@import url('https://fonts.googleapis.com/css2?family=Elms+Sans:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
  --corbase: #778470;
  --corfundo: #F2F2F2;
  --coralt1: #89CF63;
  --coralt2: #283321;
  --coralt3: #BBBFB8;
}

html, body, main {
  scroll-behavior: smooth;
  background-color: var(--corfundo);
  overflow-x: hidden;
}

* {
  margin: 0;
  padding: 0;
  font-family: 'Elms Sans', Arial, Helvetica, sans-serif;
  outline: none;
  border: none;
  text-decoration: none;
  list-style: none;
  box-sizing: border-box;
}

::-webkit-scrollbar {
  background-color: var(--corfundo);
  width: 10px;
}

::-webkit-scrollbar-thumb {
  background-color: var(--corbase);
}






/* Animations */

/* Right Animations */

.hidden-r {
    opacity: 0;
    transform: translateX(-100%);
    filter: blur(5px);
    transition: all 1.5s ease;
}

.show-r {
    opacity: 1;
    transform: translateX(0);
    filter: blur(0);
    transition: all 1.5s ease;
}

/* Left Animations */

.hidden-l {
    opacity: 0;
    transform: translateX(100%);
    filter: blur(5px);
    transition: all 1.5s ease;
}

.show-l {
    opacity: 1;
    transform: translateX(0%);
    filter: blur(0);
    transition: all 1.5s ease;
}

/* Scale Animations */

.hidden-s {
    opacity: 0;
    transform: scale(0.3);
    filter: blur(5px);
    transition: all 1.5s ease;
}

.show-s {
    opacity: 1;
    transform: scale(1);
    filter: blur(0);
    transition: all 1.5s ease;
}